[block: search]
<div class="box">
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&view=search">
		Search for a user to view and edit their details.
		Username: <input type="text" name="username" /><button type="submit" name="search" class="button">Search Usernames</button>
		</form>
	</div>
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&view=search">
		Search for a user via email to view and edit their details.
		Email: <input type="text" name="email" /><button type="submit" name="search" class="button">Search Emails</button>
		</form>
	</div>
</div>
[/block: search]

[block: search_row_top]
<div class="box">
	<div class="body group">
		Here are the users matching that search:<br />
	</div>
</div>
[/block: search_row_top]

[block: search_row]
<div class="box">
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&user_id={:user_id}">
		<a href="admin.php?module=users&view=edituser&user_id={:user_id}">{:username}</a> - {:email}
		</form>
	</div>
</div>
[/block: search_row]

[block: premium_row_top]
<div class="box"><div class="body group">Here you can quickly access GOL Premium users, there's currently <strong>{:total}</strong> in total!</div></div>
[/block: premium_row_top]

[block: premium_row]
<div class="box">
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&user_id={:user_id}">
		<a href="admin.php?module=users&view=edituser&user_id={:user_id}">{:username}</a>
		</form>
	</div>
</div>
[/block: premium_row]

[block: edituser]
<div class="box"><div class="head">Here you can edit {:username}'s details. <span class="fright"><a href="{:profile_link}">View live profile</a></span></div>
	<div class="subhead">Profile</div>
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&user_id={:user_id}">
			Username: <input type="text" name="username" value="{:username}" /><br />
			Email: <input type="text" name="email" value="{:email}" /><br />
			Website: <input type="text" name="website" value="{:website}" /><br />
			<label for="bio">Biography, for Editors this will show on articles you create, for normal users it will just show it on your profile, keep it short.</label>
			<textarea name="article_bio" class="bbcode-editor" cols="100" rows="10">{:bio}</textarea><br />
			<label><input type="checkbox" name="game_developer" {:developer_check} /> Game developer?</label>
			Avatar: <br /><img src="{:avatar}" alt="avatar" /><br />
			{:ban_info}
			<button type="submit" name="act" value="edituser" class="btn btn-primary">Edit</button>
			<button type="submit" name="act" value="deleteavatar" class="btn btn-danger">Delete Avatar</button>
			<button type="submit" name="act" value="delete_user" class="btn btn-danger">Delete User</button>
			{:delete_content_button}
			{:ban_button}
			{:activate_button}
		</form>
	</div>
</div>
[/block: edituser]

[block: edituser_admin]
<div class="box">
	<div class="subhead">Admin Stuff</div>
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users&user_id={:user_id}">
			<strong>User Groups</strong><br />
			<select tabindex="-1" multiple="" name="user_groups[]" class="call_user_groups" style="width:300px" class="populate select2-offscreen">{:groups_list}</select><br />
			Supporter Type:
			<select name="supporter_type"><option value=""></option>{:supporter_types_list}</select><br />
			Supporter Status End Date: {:end_date}<br />
			<em>These notes are never shown to a user. If you need to note something down for other editors to know, enter it here:</em><br />
			<textarea name="notes" rows="20">{:admin_notes}</textarea>
			<button type="submit" name="act" value="edituser_admin" class="btn btn-primary">Edit</button>
		</form>
	</div>
</div>
[/block: edituser_admin]

[block: ipban]
<div class="box">
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users">
			Here you can ban an IP Address from logging in or registering.
			IP: <input type="text" name="ip" /><button type="submit" class="red-button">Ban IP</button>
			<input type="hidden" name="act" value="ipban" />
		</form>
	</div>
</div>
[/block: ipban]

[block: iprow]
<div class="box">
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users">
		IP: {:ip}<br />
		Banned until: {:removal_date} <br /><button type="submit" class="button" name="act" value="unipban">UnBan</button> <button type="submit" class="button" name="act" value="editipban">Edit</button>
		<input type="hidden" name="id" value="{:id}" />
		</form>
	</div>
</div>
[/block: iprow]

[block: editip]
<div class="box">
	<div class="head">Editing a banned IP address</div>
	<div class="body group">
		<form class="gol-form" method="post" action="admin.php?module=users">
		IP: <input type="text" name="ip" value="{:ip}" /><br />
		Banned until: {:removal_date} <br />
		<button type="submit" class="button">Edit IP</button>
		<input type="hidden" name="act" value="editipban" /> <input type="hidden" name="id" value="{:id}" /> <input type="hidden" name="act2" value="go" />
		</form>
	</div>
</div>
[/block: editip]

[block: warn_user]
<div class="box">
	<div class="head">Send an official warning to a user</div>
	<div class="body group">
		This will give them a notification, and it will notify them who sent the warning along with your text.<br />
		<form class="gol-form" method="post" action="admin.php?module=users">
		Warning reason: 
		<textarea name="warning_reason" rows="5"></textarea>
		<button type="submit" class="button">Send Warning</button>
		<input type="hidden" name="act" value="send_warning" /> <input type="hidden" name="user_id" value="{:user_id}" />
		<input type="hidden" name="csrf" value="{:csrf}" />
		</form>
	</div>
</div>
[/block: warn_user]